IcedTea-Web NetX

## net.sourceforge.jnlp.security
Enum SecurityDialogs.AccessType

    java.lang.Object
      java.lang.Enum<SecurityDialogs.AccessType>
          net.sourceforge.jnlp.security.SecurityDialogs.AccessType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SecurityDialogs.AccessType>

Enclosing class:
  SecurityDialogs

    public static enum SecurityDialogs.AccessType

extends java.lang.Enum<SecurityDialogs.AccessType>

The types of access which may need user permission.

Enum Constant Summary
`CLIPBOARD_READ`
`CLIPBOARD_WRITE`
`CREATE_DESTKOP_SHORTCUT`
`NETWORK`
`NOTALLSIGNED`
`PRINTER`
`READ_FILE`
`SIGNING_ERROR`
`UNSIGNED`
`UNVERIFIED`
`VERIFIED`
`WRITE_FILE`

Method Summary
`static SecurityDialogs.AccessType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SecurityDialogs.AccessType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### READ_FILE

    public static final SecurityDialogs.AccessType READ_FILE

### WRITE_FILE

    public static final SecurityDialogs.AccessType WRITE_FILE

### CREATE_DESTKOP_SHORTCUT

    public static final SecurityDialogs.AccessType CREATE_DESTKOP_SHORTCUT

### CLIPBOARD_READ

    public static final SecurityDialogs.AccessType CLIPBOARD_READ

### CLIPBOARD_WRITE

    public static final SecurityDialogs.AccessType CLIPBOARD_WRITE

### PRINTER

    public static final SecurityDialogs.AccessType PRINTER

### NETWORK

    public static final SecurityDialogs.AccessType NETWORK

### VERIFIED

    public static final SecurityDialogs.AccessType VERIFIED

### UNVERIFIED

    public static final SecurityDialogs.AccessType UNVERIFIED

### NOTALLSIGNED

    public static final SecurityDialogs.AccessType NOTALLSIGNED

### UNSIGNED

    public static final SecurityDialogs.AccessType UNSIGNED

### SIGNING_ERROR

    public static final SecurityDialogs.AccessType SIGNING_ERROR

Method Detail

### values

    public static SecurityDialogs.AccessType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SecurityDialogs.AccessType c : SecurityDialogs.AccessType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SecurityDialogs.AccessType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

IcedTea-Web NetX

Submit a bug or feature